diff -Nru libmspack-0.8/debian/changelog libmspack-0.10.1+really0.8/debian/changelog
--- libmspack-0.8/debian/changelog	2018-10-24 03:03:13.000000000 +0200
+++ libmspack-0.10.1+really0.8/debian/changelog	2019-06-01 14:32:06.000000000 +0200
@@ -1,3 +1,13 @@
+libmspack (0.10.1+really0.8-0.1) unstable; urgency=medium
+
+  * Non-maintainer upload.
+  * Revert back to libmspack/0.8-1.
+  * Add build-dependency on quilt.
+  * Add patch from upstream to fix regression when extracting cabinets
+    using -F option (Closes: #912687).
+
+ -- Jens Reyer <jre.winesim@gmail.com>  Sat, 01 Jun 2019 14:32:06 +0200
+
 libmspack (0.8-1) unstable; urgency=medium
 
   * New upstream release:
diff -Nru libmspack-0.8/debian/control libmspack-0.10.1+really0.8/debian/control
--- libmspack-0.8/debian/control	2018-04-12 12:20:00.000000000 +0200
+++ libmspack-0.10.1+really0.8/debian/control	2019-06-01 14:32:06.000000000 +0200
@@ -4,7 +4,7 @@
 Maintainer: Marc DequÃ¨nes (Duck) <Duck@DuckCorp.org>
 Standards-Version: 4.1.4
 Build-Depends: dpkg-dev (>= 1.16.1.1), debhelper (>= 11)
-Build-Depends-indep: doxygen, graphviz
+Build-Depends-indep: doxygen, graphviz, quilt
 Vcs-Browser: https://salsa.debian.org/debian/libmspack
 Vcs-Git: https://salsa.debian.org/debian/libmspack.git
 Homepage: https://www.cabextract.org.uk/libmspack/
diff -Nru libmspack-0.8/debian/patches/fix-cabd_extract.patch libmspack-0.10.1+really0.8/debian/patches/fix-cabd_extract.patch
--- libmspack-0.8/debian/patches/fix-cabd_extract.patch	1970-01-01 01:00:00.000000000 +0100
+++ libmspack-0.10.1+really0.8/debian/patches/fix-cabd_extract.patch	2019-06-01 14:32:06.000000000 +0200
@@ -0,0 +1,22 @@
+Description: Fix regression when extracting cabinets using -F option
+Origin: upstream, https://github.com/kyz/libmspack/commit/2d86d4e70026cd03730ce0b00b12579c2e21620a
+Bug: https://github.com/kyz/libmspack/issues/22
+Bug-Debian: https://bugs.debian.org/912687
+
+--- a/mspack/cabd.c
++++ b/mspack/cabd.c
+@@ -1125,11 +1125,9 @@ static int cabd_extract(struct mscab_dec
+      *   and pass back MSPACK_ERR_READ
+      */
+     self->d->outfh = NULL;
+-    if ((self->d->comp_type & cffoldCOMPTYPE_MASK) != cffoldCOMPTYPE_LZX) {
+-      if ((bytes = file->offset - self->d->offset)) {
+-          error = self->d->decompress(self->d->state, bytes);
+-          self->error = (error == MSPACK_ERR_READ) ? self->read_error : error;
+-      }
++    if ((bytes = file->offset - self->d->offset)) {
++        error = self->d->decompress(self->d->state, bytes);
++        self->error = (error == MSPACK_ERR_READ) ? self->read_error : error;
+     }
+ 
+     /* if getting to the correct offset was error free, unpack file */
diff -Nru libmspack-0.8/debian/patches/series libmspack-0.10.1+really0.8/debian/patches/series
--- libmspack-0.8/debian/patches/series	1970-01-01 01:00:00.000000000 +0100
+++ libmspack-0.10.1+really0.8/debian/patches/series	2019-06-01 14:32:06.000000000 +0200
@@ -0,0 +1 @@
+fix-cabd_extract.patch
